package com.miaxis.common.core.domain.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.miaxis.common.annotation.Excel;
import com.miaxis.common.core.domain.BaseBusinessEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
/**
 * 用户对象 user_info
 *
 * @author miaxis
 * @date 2021-01-11
 */
@Data
@TableName("user_info")
@ApiModel(value = "UserInfo", description = "用户对象 user_info")
public class UserInfo extends BaseBusinessEntity{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    @TableId(value = "id")
    @ApiModelProperty(value = "主键")
    private Long id;


    /** 手机号码 */
    @Excel(name = "手机号码")
    @TableField("phone")
    @ApiModelProperty(value = "手机号码")
    private String phone;


    /** 微信号码 */
    @Excel(name = "微信号码")
    @TableField("wechar")
    @ApiModelProperty(value = "微信号码")
    private String wechar;

    /** app头像地址 */
    @Excel(name = "app头像地址")
    @TableField("head_image")
    @ApiModelProperty(value = "app头像地址")
    private String headImage;

    /** app昵称 */
    @Excel(name = "app昵称")
    @TableField("nick_name")
    @ApiModelProperty(value = "app昵称")
    private String nickName;


    /** 微信openid */
    @Excel(name = "微信openid")
    @TableField("openid")
    @ApiModelProperty(value = "微信openid")
    private String openid;




    /** 0 启用 1禁用 */
    @Excel(name = "0 启用 1禁用")
    @TableField("status")
    @ApiModelProperty(value = "0 启用 1禁用")
    private Integer status;

//    /** 0 否 1是 */
//    @Excel(name = "是否是vip 0 否 1")
//    @TableField("is_vip")
//    @ApiModelProperty(value = "是否是vip 0 否 1是")
//    private Integer isVip;


    /** 驾校班型Id */
    @Excel(name = "联合id")
    @TableField("union_id")
    @ApiModelProperty(value = "联合id")
    private String unionId;


    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss" )
    @ApiModelProperty(value = "过期时间")
    private Date expireTime;



    @ApiModelProperty(value = "销售类型0- 非销售1- 个人销售2- 团队销售")
    private Integer saleType;

}
