package com.miaxis.extension.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.miaxis.common.core.domain.BaseBusinessEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 分成收益对象 wx_extension_income
 * @author wwl
 * @version 1.0
 * @date 2021/11/4 14:34
 */
@Data
@TableName("wx_extension_income")
@ApiModel(value = "WxExtensionIncome", description = "分成收益对象 wx_extension_income")
public class WxExtensionIncome extends BaseBusinessEntity {
    private static final long serialVersionUID = 1L;

    /** 主键 */
    @TableId(value = "id")
    @ApiModelProperty(value = "主键")
    private Long id;

    @TableField("out_trade_no")
    @ApiModelProperty(value = "商户订单号（根据wx_order订单表)")
    private String outTradeNo;

    @TableField("beneficiary_openid")
    @ApiModelProperty(value = "受益人----用户唯一标识(微信)")
    private String beneficiaryOpenid;

    @TableField("source_openid")
    @ApiModelProperty(value = "收益来源人----用户唯一标识")
    private String sourceOpenid;

    @TableField("hierarchy")
    @ApiModelProperty(value = "层级，1:一级 ,2:二级（受益人 相对于收益来源人 层级关系） 3:销售")
    private String hierarchy;

    @TableField("percentage")
    @ApiModelProperty(value = "分成百分比(%)")
    private Integer percentage;

    @TableField("profit_price")
    @ApiModelProperty(value = "收益金额(分)-----根据层级分成百分比计算")
    private Integer profitPrice;

    @TableField("status")
    @ApiModelProperty(value = "状态  0：有效(默认)、1：失效 （伪删除）")
    private String status;
}
