package com.miaxis.extension.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.miaxis.extension.domain.WxExtensionIncome;
import com.miaxis.extension.vo.ExtensionIncomeVo;
import com.miaxis.extension.vo.WxGzhExtensionIncomeVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 分成收益Mapper接口
 * @author wwl
 * @version 1.0
 * @date 2021/11/4 14:36
 */
public interface WxExtensionIncomeMapper extends BaseMapper<WxExtensionIncome> {
    /**
     * 查询分成收益列表
     *
     * @param wxExtensionIncome 分成收益
     * @return 分成收益集合
     */
    List<ExtensionIncomeVo> selectWxExtensionIncomeList(ExtensionIncomeVo wxExtensionIncome);

    /**
     *
     * @param openid
     * @param nickName
     * @return
     */
    List<WxGzhExtensionIncomeVo> extensionIncomeList(@Param("openid")String openid, @Param("nickName")String nickName);

    /**
     * 查询收益金额（总金额、已提现金额、未提现金额）
     * @param openid
     * @return
     */
    ExtensionIncomeVo extensionIncomePrice(String openid);
}
