package com.miaxis.extension.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.miaxis.common.core.domain.Response;
import com.miaxis.extension.domain.WxExtensionIncome;
import com.miaxis.extension.vo.ExtensionIncomeVo;
import com.miaxis.extension.vo.WxGzhExtensionIncomeVo;

import java.util.List;

/**
 * 分成收益Service接口
 * @author wwl
 * @version 1.0
 * @date 2021/11/4 14:37
 */
public interface IWxExtensionIncomeService extends IService<WxExtensionIncome> {

    /**
     * 查询分成收益列表
     *
     * @param wxExtensionIncome 分成收益
     * @return 分成收益集合
     */
    List<ExtensionIncomeVo> selectWxExtensionIncomeList(ExtensionIncomeVo wxExtensionIncome);


    /**
     * 新增收益信息
     * @param outTradeNo  商户订单号
     * @param openid 用户openid
     * @param total 订单金额
     * @return
     */
    void addExtensionIncomeBySourceId(String outTradeNo, String openid, Integer total);

    /**
     * 查询收益列表
     * @param openid openid
     * @param nickName 微信昵称
     * @return
     */
    List<WxGzhExtensionIncomeVo> extensionIncomeList(String openid, String nickName);

    /**
     * 查询收益金额（总金额、已提现金额、未提现金额）
     * @param openid
     * @return
     */
    ExtensionIncomeVo extensionIncomePrice(String openid);
}
