package com.miaxis.extension.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * 分成收益对象入参
 * @author wwl
 * @version 1.0
 * @date 2021/11/29 17:13
 */
@Data
@ApiModel(value = "WxExtensionIncome", description = "分成收益对象入参")
public class WxGzhExtensionIncomeVo {

    @TableField("openid")
    @ApiModelProperty(value = "openid----用户唯一标识(微信)")
    private String openid;

    @TableField("nick_name")
    @ApiModelProperty(value = "微信昵称")
    private String nickName;

    @TableField("head_image")
    @ApiModelProperty(value = "微信头像地址")
    private String headImage;

    @TableField("profit_price")
    @ApiModelProperty(value = "收益金额(分)-----根据层级分成百分比计算")
    private Integer profitPrice;

    @TableField("percentage")
    @ApiModelProperty(value = "分成百分比(%)")
    private String percentage;

    @TableField("hierarchy")
    @ApiModelProperty(value = "层级，1:一级 ,2:二级（受益人 相对于收益来源人 层级关系）")
    private String hierarchy;

    @ApiModelProperty(value = "创建时间"  ,hidden = true)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

}
