package com.miaxis.question.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.miaxis.common.annotation.Excel;

import com.miaxis.common.core.domain.BaseBusinessEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
/**
 * 题库对象 question_info
 *
 * @author miaxis
 * @date 2021-10-20
 */
@Data
@TableName("question_info")
@ApiModel(value = "QuestionInfo", description = "题库对象 question_info")
public class QuestionInfo extends BaseBusinessEntity{
    private static final long serialVersionUID = 1L;

    /**  主键 */
    @TableId(value = "id")
    @ApiModelProperty(value = " 主键")
    private Long id;

    /** 在所有题目中的序号 */
    @Excel(name = "在所有题目中的序号")
    @TableField("number")
    @ApiModelProperty(value = "在所有题目中的序号")
    private Long number;

    /** 正确答案 */
    @Excel(name = "正确答案")
    @TableField("answer")
    @ApiModelProperty(value = "正确答案")
    private String answer;

    /** 答案关键词 */
    @Excel(name = "答案关键词")
    @TableField("answerkeyword")
    @ApiModelProperty(value = "答案关键词")
    private String answerkeyword;

    /** 技巧讲解图片URL */
    @Excel(name = "技巧讲解图片URL")
    @TableField("explain_gif")
    @ApiModelProperty(value = "技巧讲解图片URL")
    private String explainGif;

    /** 技巧讲解说明 */
    @Excel(name = "技巧讲解说明")
    @TableField("explain_jq")
    @ApiModelProperty(value = "技巧讲解说明")
    private String explainJq;

    /** 官方解释 */
    @Excel(name = "官方解释")
    @TableField("explain_js")
    @ApiModelProperty(value = "官方解释")
    private String explainJs;

    /** 技巧讲解语音URL */
    @Excel(name = "技巧讲解语音URL")
    @TableField("explain_mp3")
    @ApiModelProperty(value = "技巧讲解语音URL")
    private String explainMp3;

    /** 题目图片URL */
    @Excel(name = "题目图片URL")
    @TableField("image")
    @ApiModelProperty(value = "题目图片URL")
    private String image;

    /** 题目图片URL2 */
    @Excel(name = "题目图片URL2")
    @TableField("image_ydt")
    @ApiModelProperty(value = "题目图片URL2")
    private String imageYdt;

    /** 题目 */
    @Excel(name = "题目")
    @TableField("issue")
    @ApiModelProperty(value = "题目")
    private String issue;

    /** 答案选项 */
    @Excel(name = "答案选项")
    @TableField("opts")
    @ApiModelProperty(value = "答案选项")
    private String opts;

    /** 答题技巧关键词 */
    @Excel(name = "答题技巧关键词")
    @TableField("skillkeyword")
    @ApiModelProperty(value = "答题技巧关键词")
    private String skillkeyword;

    /** 题目关键词 */
    @Excel(name = "题目关键词")
    @TableField("titlekeyword")
    @ApiModelProperty(value = "题目关键词")
    private String titlekeyword;

    /** 读题语音URL */
    @Excel(name = "读题语音URL")
    @TableField("issuemp3")
    @ApiModelProperty(value = "读题语音URL")
    private String issuemp3;

    /** 答案语音URL */
    @Excel(name = "答案语音URL")
    @TableField("answermp3")
    @ApiModelProperty(value = "答案语音URL")
    private String answermp3;

    /** 读题+答案语音URL */
    @Excel(name = "读题+答案语音URL")
    @TableField("explainjsmp3")
    @ApiModelProperty(value = "读题+答案语音URL")
    private String explainjsmp3;

    /** 是否是C1,C2,C3驾驶证题目 */
    @Excel(name = "是否是C1,C2,C3驾驶证题目")
    @TableField("lice_car")
    @ApiModelProperty(value = "是否是C1,C2,C3驾驶证题目")
    private String liceCar;

    /** 是否是A1\A3\B1驾驶证题目 */
    @Excel(name = "是否是A1,A3,B1驾驶证题目")
    @TableField("lice_bus")
    @ApiModelProperty(value = "是否是A1,A3,B1驾驶证题目")
    private String liceBus;

    /** 是否是A2\B2驾驶证题目 */
    @Excel(name = "是否是A2,B2驾驶证题目")
    @TableField("lice_truck")
    @ApiModelProperty(value = "是否是A2,B2驾驶证题目")
    private String liceTruck;

    /** 是否是D\E\F驾驶证题目 */
    @Excel(name = "是否是D,E,F驾驶证题目")
    @TableField("lice_moto")
    @ApiModelProperty(value = "是否是D,E,F驾驶证题目")
    private String liceMoto;

    /** 顺序练习分类（包含科一到科四） */
    @Excel(name = "顺序练习分类（包含科一到科四）", readConverterExp = "包=含科一到科四")
    @TableField("seque_issue")
    @ApiModelProperty(value = "顺序练习分类（包含科一到科四）")
    private String sequeIssue;

    /** 分类练习（包含科一到科四） */
    @Excel(name = "分类练习（包含科一到科四）", readConverterExp = "包=含科一到科四")
    @TableField("class_issue")
    @ApiModelProperty(value = "分类练习（包含科一到科四）")
    private String classIssue;

    /** 地方专题（包含科一到科四） */
    @Excel(name = "地方专题（包含科一到科四）", readConverterExp = "包=含科一到科四")
    @TableField("place_issue")
    @ApiModelProperty(value = "地方专题（包含科一到科四）")
    private String placeIssue;

    /** 精选题（包含科一到科四） */
    @Excel(name = "精选题（包含科一到科四）", readConverterExp = "包=含科一到科四")
    @TableField("excell_issue")
    @ApiModelProperty(value = "精选题（包含科一到科四）")
    private String excellIssue;

    /** 是否是仿真考试题目 */
    @Excel(name = "是否是仿真考试题目")
    @TableField("copy_issue")
    @ApiModelProperty(value = "是否是仿真考试题目")
    private String copyIssue;

    /** 是否是真实考场模拟题目 */
    @Excel(name = "是否是真实考场模拟题目")
    @TableField("mock_issue")
    @ApiModelProperty(value = "是否是真实考场模拟题目")
    private String mockIssue;

    /** 题目在顺序练习中所属的模块名称 */
    @Excel(name = "题目在顺序练习中所属的模块名称")
    @TableField("seque_issue_name")
    @ApiModelProperty(value = "题目在顺序练习中所属的模块名称")
    private String sequeIssueName;

    /** 题目在地方专题中所属的模块名称 */
    @Excel(name = "题目在地方专题中所属的模块名称")
    @TableField("place_issue_name")
    @ApiModelProperty(value = "题目在地方专题中所属的模块名称")
    private String placeIssueName;

    /** 题目在精选中所属的模块名称 */
    @Excel(name = "题目在精选中所属的模块名称")
    @TableField("excell_issue_name")
    @ApiModelProperty(value = "题目在精选中所属的模块名称")
    private String excellIssueName;

    /** 题目在分类中所属的模块名称 */
    @Excel(name = "题目在分类中所属的模块名称")
    @TableField("class_issue_name")
    @ApiModelProperty(value = "题目在分类中所属的模块名称")
    private String classIssueName;


    /** 题目类型 */
    @Excel(name = "题目类型")
    @TableField("question_type")
    @ApiModelProperty(value = "题目类型 1判断，2选择，3多选")
    private Integer questionType;


    /** 题目类型 */
    @Excel(name = "题目类型")
    @TableField("question_type")
    @ApiModelProperty(value = "题目类型 1判断，2选择，3多选")
    private Integer subject;

    /** 分类练习排序字段 */
    @Excel(name = "分类练习排序字段")
    @TableField("class_sort")
    @ApiModelProperty(value = "分类练习排序字段")
    private Integer classSort;

    /** 精选考题排序字段 */
    @Excel(name = "精选考题排序字段")
    @TableField("excell_sort")
    @ApiModelProperty(value = "精选考题排序字段")
    private Integer excellSort;


    /** 顺序练习排序字段 */
    @Excel(name = "顺序练习排序字段")
    @TableField("seque_sort")
    @ApiModelProperty(value = "顺序练习排序字段")
    private Integer sequeSort;


    /** 地方专题排序字段 */
    @Excel(name = "地方专题排序字段")
    @TableField("place_sort")
    @ApiModelProperty(value = "地方专题排序字段")
    private Integer placeSort;


}
