package com.miaxis.question.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.miaxis.question.domain.QuestionWrong;
import com.miaxis.question.dto.QuestionWrongListDTO;
import com.miaxis.question.mapper.QuestionWrongMapper;
import com.miaxis.question.service.IQuestionWrongService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;


/**
 * wrongService业务层处理
 *
 * @author miaxis
 * @date 2021-08-19
 */
@Service
public class QuestionWrongServiceImpl extends ServiceImpl<QuestionWrongMapper, QuestionWrong> implements IQuestionWrongService {
    @Autowired
    private QuestionWrongMapper questionWrongMapper;

    /**
     * 查询wrong列表
     *
     * @param questionWrong wrong
     * @return wrong
     */
    @Override
    public List<QuestionWrong> selectQuestionWrongList(QuestionWrongListDTO questionWrong){
        return questionWrongMapper.selectQuestionWrongList(questionWrong);
    }
}
