package com.miaxis.score.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.miaxis.score.domain.ScoreInfo;
import com.miaxis.score.dto.ScoreInfoAllDTO;

import java.util.List;

/**
 * 模拟考成绩Service接口
 *
 * @author miaxis
 * @date 2021-08-23
 */
public interface IScoreInfoService extends IService<ScoreInfo>{
    /**
     * 查询模拟考成绩列表
     *
     * @param scoreInfo 模拟考成绩
     * @return 模拟考成绩集合
     */
    public List<ScoreInfo> selectScoreInfoList(ScoreInfo scoreInfo);

    /**
     * 查询模拟考试平均成绩
     * @param scoreInfo
     * @return
     */
    public int getAveScore(ScoreInfo scoreInfo);

    /**
     * 查询模拟考试预测成绩
     * @param scoreInfo
     * @return
     */
    public int getForecastScore(ScoreInfo scoreInfo);


    /**
     * 最大成绩
     * @param scoreInfo
     * @return
     */
    public int getMaxScore(ScoreInfo scoreInfo);



    /**
     * 同时返回
     * 最小成绩，最大成绩，平均成绩，预测成绩
     * @param scoreInfo
     * @return
     */
    public ScoreInfoAllDTO getScoreInfoAll(ScoreInfo scoreInfo);
}
