package com.miaxis.spread.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.miaxis.common.core.domain.BaseBusinessEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * wx推广关系对象 wx_spread_relation
 * @author wwl
 * @version 1.0
 * @date 2021/10/29 9:39
 */
@Data
@TableName("wx_spread_relation")
@ApiModel(value = "WxSpreadRelation", description = "wx推广关系对象 wx_spread_relation")
public class WxSpreadRelation extends BaseBusinessEntity {
    private static final long serialVersionUID = 1L;

    /** 主键 */
    @TableId(value = "id")
    @ApiModelProperty(value = "主键")
    private Long id;

    @TableField("openid")
    @ApiModelProperty(value = "用户唯一标识")
    private String openid;

    @TableField("parent_openid")
    @ApiModelProperty(value = "用户唯一标识(父级)")
    private String parentOpenid;

    @TableField("status")
    @ApiModelProperty(value = "状态  0：有效(默认)、1：失效 （伪删除）")
    private String status;

    /** 销售类型 */
    @TableField(exist = false)
    @ApiModelProperty(value = "销售类型0- 非销售1- 个人销售2- 团队销售" )
    private Integer saleType;
}
